org.springframework.ldap.query

## Interface LdapQuery

- All Known Subinterfaces:
    ContainerCriteria
  All Known Implementing Classes:
    LdapQueryBuilder

      public interface LdapQuery

  Holds all information regarding a Ldap query to be performed. Contains information regarding search base, search scope, time and count limits, and search filter.
  Since:
    2.0
  Author:
    Mattias Hellborg Arthursson
  See Also:
    `LdapQueryBuilder`, `LdapOperations.search(LdapQuery, org.springframework.ldap.core.AttributesMapper)`, `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`, `LdapOperations.searchForObject(LdapQuery, org.springframework.ldap.core.ContextMapper)`, `LdapOperations.searchForContext(LdapQuery)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `attributes()` Get the attributes to return.
    `Name` | `base()` Get the search base.
    `Integer` | `countLimit()` Get the count limit.
    `Filter` | `filter()` Get the filter.
    `SearchScope` | `searchScope()` Get the search scope.
    `Integer` | `timeLimit()` Get the time limit.

- - ### Method Detail

    - #### base

          Name base()

      Get the search base. Default is `LdapUtils.emptyLdapName()`.
      Returns:
        the search base.

    - #### searchScope

          SearchScope searchScope()

      Get the search scope. Default is `null`, indicating that the LdapTemplate default should be used.
      Returns:
        the search scope.

    - #### timeLimit

          Integer timeLimit()

      Get the time limit. Default is `null`, indicating that the LdapTemplate default should be used.
      Returns:
        the time limit.

    - #### countLimit

          Integer countLimit()

      Get the count limit. Default is `null`, indicating that the LdapTemplate default should be used.
      Returns:
        the count limit.

    - #### attributes

          String[] attributes()

      Get the attributes to return. Default is `null`, indicating that all attributes should be returned.
      Returns:
        the attributes to return.

    - #### filter

          Filter filter()

      Get the filter.
      Returns:
        the filter.